/***************************************************************************
 *   Copyright (C) 2005 by xavier helluy   *
 *   xavier.helluy@web.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/

#include <kapplication.h>
#include <dcopclient.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include "cluceneguisearch.h"
#include <qtimer.h>

static const char description[] =
    I18N_NOOP("A KDE Application");

static const char version[] = "v0.1";

static KCmdLineOptions options[] =
{
	{ "onrequest", I18N_NOOP("Tells clucene-search to output query string to the stdout"), 0},
	{    "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("kclucene-search-dialog", I18N_NOOP("cLucene Search"), version, description, KAboutData::License_GPL, "(C) 2004 Xavier Helluy", 0, 0, "xavier.helluy@web.de");
    about.addAuthor( "Xavier Helluy", 0, "xavier.helluy@web.de" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;

    // register ourselves as a dcop client
    app.dcopClient()->registerAs(app.name(), true);

    // see if we are starting with session management
   
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        //if (args->count() == 0)
        
	
          
	CLuceneGuiSearch *widget = new CLuceneGuiSearch;
        
        
	if (args->isSet("onrequest"))
	{
		fprintf(stderr, "ARGS ARE NOT 0 AND ONREQUEST IS BEING LOOKED AT");
		widget->onrequest(TRUE);
	}
	else 
		widget->onrequest(FALSE);
	widget->setSizeGripEnabled ( TRUE );
        args->clear();

    return app.exec();
}
